/** \class ExRootAnalysisLinkDef
 *
 *  Lists classes to be included in cint dicitonary
 *
 *  $Date: 2006/12/19 19:18:46 $
 *  $Revision: 1.5 $
 *
 *  
 *  \author P. Demin - UCL, Louvain-la-Neuve
 *
 */

#include "ExRootAnalysis/ExRootClasses.h"
#include "ExRootAnalysis/ExRootTreeReader.h"
#include "ExRootAnalysis/ExRootTreeWriter.h"
#include "ExRootAnalysis/ExRootTreeBranch.h"
#include "ExRootAnalysis/ExRootResult.h"
#include "ExRootAnalysis/ExRootUtilities.h"
#include "ExRootAnalysis/ExRootClassifier.h"
#include "ExRootAnalysis/ExRootFilter.h"

#include "ExRootAnalysis/ExRootFactory.h"

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class TSortableObject+;
#pragma link C++ class TRootWeight;
#pragma link C++ class TRootLHEFEvent+;
#pragma link C++ class TRootLHEFParticle+;
#pragma link C++ class TRootGenEvent+;
#pragma link C++ class TRootGenParticle+;
#pragma link C++ class TRootGenJet+;
#pragma link C++ class TRootEvent+;
#pragma link C++ class TRootMissingET+;
#pragma link C++ class TRootPhoton+;
#pragma link C++ class TRootElectron+;
#pragma link C++ class TRootMuon+;
#pragma link C++ class TRootTau+;
#pragma link C++ class TRootJet+;

#pragma link C++ class ExRootTreeReader+;
#pragma link C++ class ExRootTreeBranch+;
#pragma link C++ class ExRootTreeWriter+;
#pragma link C++ class ExRootResult+;
#pragma link C++ class ExRootClassifier+;
#pragma link C++ class ExRootFilter+;

#pragma link C++ class ExRootFactory+;

#pragma link C++ function HistStyle;
#pragma link C++ function FillChain;

#endif

